c      Programa de mapeo acoplado.

          integer n,n1,n2  
          real fase
	  CHARACTER*20 entrada, salida

c     Abrir Archivo

	  write(*,*) "Cuál es el archivo de entrada 2DF_"
	  read(*,*) entrada
          open(2, FILE= entrada, status="old")

	  write(*,*) "¿Cuál es el archivo de salida 3Fa_?"
	  read (*,*) salida
          open(3, FILE= salida) 

c          open(2, FILE="2DiferFiltr_bovespa.dat")
c          open(3, FILE="3Fase_bovespa.dat") 
      fase=0
      contador1=-1              

c tiempo de evolución

      Pi=3.14159265358979
      n1=0
      n2=0 
      n=0      

c  ciclo

        DO  while(.true.)                   
          if(contador1 .EQ. -1 ) THEN
               read(2,*) n2
		contador1=contador1+1
              n=n+1
           ENDIF

          if( n .EQ. n2) THEN
            n1=n2
               read(2,*,end=999) n2
              contador1=contador1+1
           ENDIF
              fase=1.0*(n-n1)/(n2-n1)+contador1
            write(3,*) n,  fase 
c	    write(*,*) n, n1, n2, fase
              n=n+1	 
          ENDDO
999	  continue

c   cerrar archivos

          close(2)
          close(3)
          stop
          end        

